Bug 966851 - Excessive logging in Debug mode for mem_get
Excessive logging in Debug mode for mem_get
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: vsomyaju
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 02:35 EDT by vsomyaju
Modified: 2015-03-04 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:00:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vsomyaju 2013-05-24 02:35:23 EDT
Description of problem:
Excessive logging in Debug Mode for mem_get.

Version-Release number of selected component (if applicable):


How reproducible:
For debug log level, excessive logging is taking place by mem_get function.

Steps to Reproduce:
1. Create dis-rep volume.
2. Perform file operations.
3.

Actual results:
mem_get is doing excessive logging.

Expected results:
It should avoid excessive logging.


Additional info:
Comment 1 Anand Avati 2013-05-24 03:24:14 EDT
REVIEW: http://review.gluster.org/5086 (loggig: Fix to avoid excessive logging.) posted (#1) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 2 Anand Avati 2013-05-24 03:30:54 EDT
REVIEW: http://review.gluster.org/5086 (logging: Fix to avoid excessive logging.) posted (#2) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 3 Anand Avati 2013-05-24 03:39:18 EDT
REVIEW: http://review.gluster.org/5086 (logging: Fix to avoid excessive logging.) posted (#3) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 4 Anand Avati 2013-05-24 03:40:45 EDT
REVIEW: http://review.gluster.org/5086 (logging: Fix to avoid excessive logging.) posted (#4) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 5 Anand Avati 2013-05-28 04:25:23 EDT
COMMIT: http://review.gluster.org/5086 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 84e966cc8b6ae06699f8a57bc33d509b30ff777b
Author: Venkatesh Somyajulu <vsomyaju@redhat.com>
Date:   Fri May 24 12:57:19 2013 +0530

    logging: Fix to avoid excessive logging.
    
    mem_get function: Log message related to mem_pool
    calloc is removed  as its been calculated in mempool
    'stats'.  This messgae is consuming nearly half of
    the total log messages in DEBUG mode.
    
    dht_hash_compute function: Changed log level from DEBUG
    to TRACE.
    
    client_fdctx_destroy function: Changed log  level from DEBUG
    to TRACE.
    
    Change-Id: Ic948db0419e76df4e95ebd0cabaf66eadbaada6b
    BUG: 966851
    Signed-off-by: Venkatesh Somyajulu <vsomyaju@redhat.com>
    Reviewed-on: http://review.gluster.org/5086
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.